Bug 839423 - Test case failure: Change Editor options - navigation button click always triggers save
Test case failure: Change Editor options - navigation button click always tri...
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-Logic (Show other bugs)
1.7
Unspecified Linux
unspecified Severity unspecified
: ---
: 1.7
Assigned To: Patrick Huang
Ding-Yi Chen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-11 19:41 EDT by Patrick Huang
Modified: 2012-09-12 21:22 EDT (History)
1 user (show)

See Also:
Fixed In Version: 1.7-SNAPSHOT (20120716-0026)
Doc Type: Bug Fix
Doc Text:
Cause Click on the top navigation button will trigger a save even there is no text changes. Consequence Unnecessary or unwanted save. Fix Will not force to save during navigation if no text has changed. Result Click on navigation buttons will navigate without save if there is no text changes.
Story Points: ---
Clone Of:
Environment:
http://zanata-master-internal.lab.eng.bne.redhat.com:8080/
Last Closed: 2012-09-11 01:11:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrick Huang 2012-07-11 19:41:27 EDT
Filed from caserun https://tcms.engineering.redhat.com/run/42345/#caserun_1294243

Version-Release number of selected component (if applicable):
zanata-1.7.0-alpha

Steps to Reproduce: 

  * Login Zanata using admin account.
  * Open editor
  * Click on the Next Entry or Previous Entry navigation button on the top

Actual results: 
A save happens even if nothing has changed.

Expected results:
If no text change in the editor, click on next entry or previous entry should not trigger a save and will just navigate.
Comment 1 Patrick Huang 2012-07-11 20:49:08 EDT
committed into master:
https://github.com/zanata/zanata/commit/d403f55da16fb165e44ed986a50631bdb4f7e59c
Comment 2 Ding-Yi Chen 2012-07-16 21:58:58 EDT
VERIFIED: Zanata version 1.7-SNAPSHOT (20120716-0026)

Note You need to log in before you can comment on or make changes to this bug.